get
https://api.sportradar.com//v2//schedules/live/timelines_delta.
Global Baseball Live Timelines Delta provides a 10 second live delta of game information, including scoring and a play-by-play event timeline.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Update FrequencyTTL / Cache: 1 second
Data Updates: Real time while games are in the live window
Recommended polling cadences for every feed are on the Update Frequencies chart of the Global Baseball Integration Guide.
Tracking Live GamesLearn how to use the Live Timelines Delta feed to poll only the newest events across the live slate in our Tracking Live Games integration scenario.
Data Points
Period Scores
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
away_score | sport_event_status - period_scores - period_score | Integer | Away team inning score |
home_score | sport_event_status - period_scores - period_score | Integer | Home team inning score |
number | sport_event_status - period_scores - period_score | Integer | Inning number |
type | sport_event_status - period_scores - period_score | String | Inning typestarted, overtime, overtime_break, break, interrupted, 1st_inning, 2nd_inning, 3rd_inning, 4th_inning, 5th_inning, 6th_inning, 7th_inning, 8th_inning, 9th_inning, regular_period |
Sport Event
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
id | sport_event_timeline | String | Unique ID of a sport event ex. sr:sport_event:49796317 |
start_time | sport_event_timeline | Date | Start time of a sport event ex. 2024-03-26T20:00:00+00:00 |
Sport Event Status
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
away_score | sport_event_status | Integer | Total score for the away team in the game |
away_normaltime_score | sport_event_status | Integer | Score for the away team in normal time (9 innings) |
home_score | sport_event_status | Integer | Total score for the home team in the game |
home_normaltime_score | sport_event_status | Integer | Score for the home team in normal time (9 innings) |
decided_inning | sport_event_status | Integer | Final inning number of a game |
match_status | sport_event_status | String | Status within a game (sport event). Provides more detail on the state of a sport event when live than statusex. not_started, start_delayed, 1st_inning, postponedSee our FAQ for a complete list of statuses and their definitions. |
scout_abandoned | sport_event_status | Boolean | Signifies a game was abandoned by a scout when true |
status | sport_event_status | String | Status of a sport event ex. not_started, live, ended, closedSee our FAQ for a complete list of statuses and their definitions. |
winner_id | sport_event_status | String | Unique ID of the game winner ex. sr:competitor:3638 |
Game Timeline
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
advancement_type | timeline - event | String | Information on how a batter advanced on a playunknown, catcher_interference, hit_by_pitch, on_error, single, double, triple, sacrifice_bunt, sacrifice_fly, walk, fielders_choice, other |
ball_in_play_type | timeline - event | String | Indicates, along with type="ball_in_play, that a batter struck a ball into play. The following event indicates the outcome of the ball in play. |
base | timeline - event | Integer | Base associated with a runner_check event type |
count_balls | timeline - event | Integer | Number of balls in an at bat, after an event |
count_strikes | timeline - event | Integer | Number of strikes in an at bat, after an event |
ending_base | timeline - event | Integer | Ending base number for a player after an event |
errors | timeline - event | Integer | Number of errors in a play |
id | timeline - event | String | Unique Id of a timeline event ex. 2182830584 |
inning | timeline - event | Integer | Inning number associated with a timeline event. Typically populates at the end of a full innning along with a inning_score_update. |
inning_half | timeline - event | String | Indicates the type of inning associated with a timeline event ex. top, bottom |
inning_away_score | timeline - event | Integer | Number of runs scored for the away team in an inning. Typically populates at the end of a full innning along with a inning_score_update. |
inning_home_score | timeline - event | Integer | Number of runs scored for the home team in an inning. Typically populates at the end of a full innning along with a inning_score_update. |
is_out | timeline - event | Boolean | Signifies an out was recorded for an event when true |
on_base_type | timeline - event | String | Method of reaching base for a player. Typically associated with a player_on_base event type.ex. single, walk, hit_by_pitchSee enum_on_base_type in our Global Baseball spec for a complete list of types |
outcome | timeline - event | String | Outcome of an at bat ex. single, double, walk |
out_base | timeline - event | Integer | Base number where an out was recorded |
out_type | timeline - event | String | Type of out recorded for an event. Typically associated with a player_out event type.ex. strikeout, force_out, ground_outSee enum_out_type in our Global Baseball spec for a complete list of types |
outs | timeline - event | Integer | Number of current outs in an inning |
outs_on_play | timeline - event | Integer | Number of outs assocated with an event |
pitch_number | timeline - event | Integer | Pitch number of an at bat |
qualifier | timeline - event | String | Designation of a competitor for a timeline event. Typically used for a substitution event type.home, away |
result | timeline - event | String | Result of a pitch ex. ball, strike, foul |
scored_run_type | timeline - event | String | Type of out run for an event. Typically associated with a run_scored event type.ex. strikeout, force_out, ground_outSee enum_scored_run_type in our Global Baseball spec for a complete list of types |
starting_base | timeline - event | Integer | Starting base number for a player after an event |
time | timeline - event | Date-time | Timestamp of a timeline event ex. 2024-04-16T20:49:49+00:00 |
type | timeline - event | String | Type of timeline event ex. match_started, run_scored, player_out, substitution, strikeSee enum_event_type in our Global Baseball spec for a complete list of event types |
Player (Timeline Event)
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
id | timeline - event - player | String | Unique ID of a player associated with an event ex. sr:player:1396097 |
name | timeline - event - player | String | Name of a player associated with an event ex. Varsho, Daulton |
type | timeline - event - player | String | Player type associated with an event ex. batter, pitcher, runner, substituted_out, substituted_in |
